Package com.fasterxml.jackson.core.sym

# Class Name1

java.lang.Object
com.fasterxml.jackson.core.sym.Name
com.fasterxml.jackson.core.sym.Name1

public final class Name1 extends Name
Specialized implementation of PName: can be used for short Strings that consists of at most 4 bytes. Usually this means short ascii-only names.

The reason for such specialized classes is mostly space efficiency; and to a lesser degree performance. Both are achieved for short Strings by avoiding another level of indirection (via quad arrays)

## Field Summary

### Fields inherited from class com.fasterxml.jackson.core.sym.Name

`_hashCode, _name`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(int quad)`
`boolean`
`equals(int[] quads, int qlen)`
`boolean`
`equals(int quad1, int quad2)`
`boolean`
`equals(int q1, int q2, int q3)`
`static Name1`
`getEmptyName()`

### Methods inherited from class com.fasterxml.jackson.core.sym.Name

`equals, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getEmptyName

public static Name1 getEmptyName()

### equals

public boolean equals(int quad)

Specified by:
  `equals` in class `Name`

### equals

public boolean equals(int quad1, int quad2)

Specified by:
  `equals` in class `Name`

### equals

public boolean equals(int q1, int q2, int q3)

Specified by:
  `equals` in class `Name`

### equals

public boolean equals(int[] quads, int qlen)

Specified by:
  `equals` in class `Name`